
# add_custom_target(PREBUILDER ALL)
# add_custom_command(TARGET PREBUILDER
#                 PRE_BUILD
#                 COMMAND sh ${PROJECT_SOURCE_DIR}/src/realtime/smartctl/configure
#                 WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/src/realtime/smartctl)

include_directories(location)
include_directories(systeminfo)
include_directories(global)

# include_directories(systeminfo)
include_directories(command)
include_directories(packages)

add_subdirectory(disk)
add_subdirectory(systeminfo)
add_subdirectory(systemtime)
add_subdirectory(hardware)
add_subdirectory(proc)
add_subdirectory(packages)
add_subdirectory(filesystem)
add_subdirectory(powermanagement)
add_subdirectory(location)
add_subdirectory(logrotate)
add_subdirectory(net)
add_subdirectory(realtime)
add_subdirectory(kysdkdbus)
add_subdirectory(libkysdk-system-javascript-http)
add_subdirectory(libkysdk-system-javascript-websocket)
add_subdirectory(image)
add_subdirectory(battery)
add_subdirectory(accounts)
add_subdirectory(storage)
add_subdirectory(global)
add_subdirectory(search)
add_subdirectory(command)
add_subdirectory(pnp)
add_subdirectory(uri)
add_subdirectory(devicemanager)
add_subdirectory(shutdown)
add_subdirectory(appability)
add_subdirectory(sensors)
add_subdirectory(restart)
add_subdirectory(exchange)
add_subdirectory(media)
add_subdirectory(datacollect)
